IP(8)

NOM
ip – Afficher et manipuler le routage, les périphériques réseau, les interfaces et les tunnels

SYNOPSIS

ip [ OPTIONS ] OBJET { COMMANDE | help }

ip [ -force ] -batch NOM_FICHIER

OBJET := { address | addrlabel | fou | help | ila | ioam | l2tp | link | macsec | maddress | monitor | mptcp | mroute | mrule | neighbor | neighbour | netconf | netns | nexthop | ntable | ntbl | route | rule | sr | tap | tcpmetrics | token | tunnel | tuntap | vrf | xfrm }

OPTIONS := { -V[ersion] | -h[uman-readable] | -s[tatistics] | -d[etails] | -r[esolve] | -iec | -f[amily] { inet | inet6 | link } | -4 | -6 | -B | -0 | -l[oops] { maximum-addr-flush-attempts } | -o[neline] | -rc[vbuf] [size] | -t[imestamp] | -ts[hort] | -n[etns] nom | -N[umeric] | -a[ll] | -c[olor] | -br[ief] | -j[son] | -p[retty] }

OPTIONS

-V, -Version
    Afficher la version de l'utilitaire ip et quitter.

-h, -human, -human-readable
    Statistiques de sortie avec des valeurs humainement lisibles et suivies d'un suffixe.

-b, -batch <NOM_FICHIER>
    Lire les commandes depuis le fichier fourni ou l'entrée standard et les exécuter. Le premier échec causera l'arrêt de ip.

-force
    Ne pas arrêter ip à cause d'erreurs en mode « batch ». Si des erreurs surviennent lors de l'exécution des commandes, le code de retour de l'application sera différent de zéro.

-s, -stats, -statistics
    Afficher plus d'informations en sortie. Si l'option apparait deux fois ou plus, le nombre d'informations augmente. En général, les informations sont des statistiques ou des valeurs de temps.

-d, -details
    Afficher des informations plus détaillées.

-l, -loops <NOMBRE>
    Indiquer le nombre maximal de boucles que la logique de « vidage d'adresses ip » doit essayer avant d'abandonner. Le nombre par défaut est 10. Zéro (0) signifie boucler jusqu'à ce que toutes les adresses soient supprimées.

-f, -family <FAMILLE>
    Indiquer la famille de protocoles à utiliser. L'identifiant de la famille de protocoles peut être : inet, inet6, bridge, mpls ou link. Si cette option n'est pas présente, la famille de protocoles est présumée d'après les autres arguments. Si le reste de la ligne de commande ne donne pas assez d'informations pour deviner la famille, ip se rabat sur celle par défaut, généralement inet ou any. link est un identifiant spécial de famille signifiant qu'aucun protocole réseau n'est engagé.

-4  Raccourci pour -family inet.

-6  Raccourci pour -family inet6.

-B  Raccourci pour -family bridge.

-M  Raccourci pour -family mpls.

-0  Raccourci pour -family link.

-o, -oneline
    Écrire en sortie chaque enregistrement sur une seule ligne en remplaçant les sauts de ligne par le caractère « \ ». Cela est pratique lorsque vous voulez compter les enregistrements avec wc(1) ou pour une recherche avec grep(1) sur la sortie.

-r, -resolve
    Utiliser le résolveur de noms du système pour afficher les noms DNS au lieu des adresses d'hôte.

-n, -netns <NETNS>
    Commuter ip sur l'espace de noms de réseau NETNS spécifié. En fait cela simplifie juste l'exécution de :

    ip netns exec NETNS ip [ OPTIONS ] OBJET { COMMANDE | help }

    à

    ip -n[etns] NETNS [ OPTIONS ] OBJET { COMMANDE | help }

-N, -Numeric
    Afficher directement le numéro de protocole, de portée, de champ DS, etc., au lieu de le convertir en un nom lisible par un humain.

-a, -all
    Exécuter la commande indiquée sur tous les objets si la commande gère cette option.

-c[color][={always|auto|never}
    Configurer la couleur en sortie. Si le paramètre est omis ou si always est présent, la sortie en couleur est activée quel que soit l'état de stdout. Si le paramètre est auto, il est vérifié que stdout est un terminal avant d'activer la sortie en couleur. Si le paramètre est never, la sortie en couleur est désactivée. Si ce paramètre est indiqué plusieurs fois, le dernier prend la priorité. Ce drapeau est ignoré si -json est aussi donné.

    La palette de couleurs utilisée peut être influencée par la variable d'environnement COLORFGBG (voir ENVIRONNEMENT).

-t, -timestamp
    Afficher le temps actuel en utilisant l'option monitor.

-ts, -tshort
    Comme -timestamp, mais utilisant un format plus petit.

-rc, -rcvbuf<TAILLE>
    Définir la taille du tampon de réception du socket netlink, par défaut 1 Mo.

-iec
    Afficher lisiblement les taux en unités IEC (par exemple, 1 Ki = 1024).

-br, -brief
    N'afficher que les informations basiques dans un format tabulaire pour une meilleure lisibilité. Cette option n'est actuellement prise en charge que par les commandes ip addr show, ip link show et ip neigh show.

-j, -json
    Afficher la sortie des résultats en JSON (JavaScript Object Notation).

-p, -pretty
    Le format JSON par défaut est compact et plus pratique à analyser, mais difficile à lire pour beaucoup d'utilisateurs. Ce drapeau ajoute l'indentation pour la lisibilité.

-echo
    Demander au noyau de renvoyer la configuration qui a été appliquée.

IP – SYNTAXE DES COMMANDES

  OBJET

address
    – adresse du protocole (IP ou IPv6) d'un périphérique.

addrlabel
    – configuration de l’étiquette pour la sélection d'adresse de protocole.

fou – configuration du port de réception Foo-over-UDP.

ila – administrer les adresses d'identifiant de localisateur (identifier locator addresses - ILA).

ioam
    – administrer les espaces de noms IOAM et les schémas IOAM.

l2tp
    – tunnel Ethernet over IP (L2TPv3).

link
    – périphérique réseau.

macsec
    – configuration du périphérique MACsec.

maddress
    – adresse multicast.

monitor
    – surveiller les messages netlink.

mptcp
    – administrer le gestionnaire de chemin MPTCP.

mroute
    – entrée du cache de routage multicast.

mrule
    – règle de la base de données de politiques de routage multicast.

neighbour
    – gestion des entrées de cache ARP ou NDISC.

netconf
    – supervision de la configuration réseau

netns
    – gestion des espaces de noms réseau.

nexthop
    – gestion des objets « nexthop ».

ntable
    – gestion des opérations du cache « neighbour ».

route
    – entrée de la table de routage.

rule
    – règle dans la base de données de politiques de routage.

sr  – gestion du routage de segment IPv6.

stats
    – gérer et afficher les statistiques d'interface.

tcp_metrics/tcpmetrics
    – gestion des métriques TCP.

token
    – gestion des identifiants symbolisés d'interface.

tunnel
    – tunnel sur IP.

tuntap
    – gestion des périphériques TUN/TAP.

vrf – gestion des périphériques de routage virtuel et de redirection.

xfrm
    – gestion des politiques IPsec.

Le nom de tous les objets peut être écrit en entier ou sous forme abrégée, par exemple address peut être abrégé en addr ou juste a.

  COMMANDE

Indiquer l'action à accomplir sur l'objet. L'ensemble des actions possibles dépend du type de l'objet. En général, il est possible d'ajouter (add), supprimer (delete) et afficher (show) (ou lister (list)) des objets, mais certains n'acceptent pas toutes ces opérations ou ont des commandes supplémentaires. La commande help est disponible pour tous les objets et affiche une liste des commandes disponibles et les conventions de syntaxe d'argument.

Si aucune commande n'est donnée, une commande par défaut est présumée. C'est habituellement list, ou, si les objets de cette classe ne peuvent être listés, help.

ENVIRONNEMENT

COLORFGBG
    Si cette variable est définie, sa valeur est utilisée pour détecter si le fond d'écran est sombre ou clair et utiliser des couleurs de contraste appropriées.

    La variable d'environnement COLORFGBG contient habituellement deux ou trois valeurs séparées par des points-virgules ; la dernière de ces valeurs est nécessaire dans chaque cas. Si cette valeur est 0-6 ou 8, choisir des couleurs adaptées à un fond foncé :

    COLORFGBG=";0" ip -c a

CODE DE RETOUR
Le code de retour est 0 si la commande réussit et 1 en cas d'erreur de syntaxe. Si une erreur est renvoyée par le noyau, le code de retour est 2.

EXEMPLES

ip addr
    Afficher les adresses assignées à toutes les interfaces réseau.

ip neigh
    Afficher la table « neighbour » actuelle du noyau.

ip link set x up
    Activer l'interface x.

ip link set x down
    Désactiver l'interface x.

ip route
    Afficher les routes de la table.

HISTORIQUE
ip a été écrit par Alexey N. Kuznetsov et ajouté dans Linux 2.2.

VOIR AUSSI
ip-address(8), ip-addrlabel(8), ip-fou(8), ip-ioam(8), ip-l2tp(8), ip-link(8), ip-macsec(8), ip-maddress(8), ip-monitor(8), ip-mptcp(8), ip-mroute(8), ip-neighbour(8), ip-netconf(8), ip-netns(8), ip-nexthop(8), ip-ntable(8), ip-route(8), ip-rule(8), ip-sr(8), ip-stats(8), ip-tcp_metrics(8), ip-token(8), ip-tunnel(8), ip-vrf(8), ip-xfrm(8)
Référence des commandes IP linux-ip.net/gl/ip-cref

SIGNALER DES BOGUES
Signaler tout bogue à la liste de discussion Network Developers <netdev@vger.kernel.org> où le développement et l’entretien sont principalement faits. Vous n'avez pas besoin de souscrire à cette liste pour y envoyer un message.

AUTEUR
Page de manuel originale par Michail Litvak <mci@owl.openwall.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.